# FoundationClasses
TKMath
TColgp

# TColgp_SequenceOfXY Class Reference

`#include <TColgp_SequenceOfXY.hxx>`

Inheritance diagram for TColgp_SequenceOfXY:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| TColgp_SequenceOfXY ()
Standard_EXPORT void | Clear ()
| ~TColgp_SequenceOfXY ()
Standard_EXPORT const TColgp_SequenceOfXY & | Assign (const TColgp_SequenceOfXY &Other)
const TColgp_SequenceOfXY & | operator= (const TColgp_SequenceOfXY &Other)
Standard_EXPORT void | Append (const gp_XY &T)
void | Append (TColgp_SequenceOfXY &S)
Standard_EXPORT void | Prepend (const gp_XY &T)
void | Prepend (TColgp_SequenceOfXY &S)
void | InsertBefore (const Standard_Integer Index, const gp_XY &T)
void | InsertBefore (const Standard_Integer Index, TColgp_SequenceOfXY &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const gp_XY &T)
void | InsertAfter (const Standard_Integer Index, TColgp_SequenceOfXY &S)
Standard_EXPORT const gp_XY & | First () const
Standard_EXPORT const gp_XY & | Last () const
void | Split (const Standard_Integer Index, TColgp_SequenceOfXY &Sub)
Standard_EXPORT const gp_XY & | Value (const Standard_Integer Index) const
const gp_XY & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_XY &I)
Standard_EXPORT gp_XY & | ChangeValue (const Standard_Integer Index)
gp_XY & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | TColgp_SequenceOfXY (const TColgp_SequenceOfXY &Other)

## Constructor & Destructor Documentation

TColgp_SequenceOfXY::TColgp_SequenceOfXY | ( |  | ) |

TColgp_SequenceOfXY::~TColgp_SequenceOfXY | ( |  | ) | `[inline]`

Standard_EXPORT TColgp_SequenceOfXY::TColgp_SequenceOfXY | ( | const TColgp_SequenceOfXY & | Other | ) | `[private]`

## Member Function Documentation

void TColgp_SequenceOfXY::Append | ( | TColgp_SequenceOfXY & | S | ) |

Standard_EXPORT void TColgp_SequenceOfXY::Append | ( | const gp_XY & | T | ) |

Standard_EXPORT const TColgp_SequenceOfXY& TColgp_SequenceOfXY::Assign | ( | const TColgp_SequenceOfXY & | Other | ) |

Standard_EXPORT gp_XY& TColgp_SequenceOfXY::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfXY::Clear | ( |  | ) |

Standard_EXPORT const gp_XY& TColgp_SequenceOfXY::First | ( |  | ) | const

void TColgp_SequenceOfXY::InsertAfter | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfXY & | S
| ) |

Standard_EXPORT void TColgp_SequenceOfXY::InsertAfter | ( | const Standard_Integer | Index,
|  | const gp_XY & | T
| ) |

void TColgp_SequenceOfXY::InsertBefore | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfXY & | S
| ) |

void TColgp_SequenceOfXY::InsertBefore | ( | const Standard_Integer | Index,
|  | const gp_XY & | T
| ) |

Standard_EXPORT const gp_XY& TColgp_SequenceOfXY::Last | ( |  | ) | const

void TColgp_SequenceOfXY::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfXY::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* TColgp_SequenceOfXY::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

gp_XY& TColgp_SequenceOfXY::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const gp_XY& TColgp_SequenceOfXY::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColgp_SequenceOfXY& TColgp_SequenceOfXY::operator= | ( | const TColgp_SequenceOfXY & | Other | ) | `[inline]`

void TColgp_SequenceOfXY::Prepend | ( | TColgp_SequenceOfXY & | S | ) |

Standard_EXPORT void TColgp_SequenceOfXY::Prepend | ( | const gp_XY & | T | ) |

Standard_EXPORT void TColgp_SequenceOfXY::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void TColgp_SequenceOfXY::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColgp_SequenceOfXY::SetValue | ( | const Standard_Integer | Index,
|  | const gp_XY & | I
| ) |

void TColgp_SequenceOfXY::Split | ( | const Standard_Integer | Index,
|  | TColgp_SequenceOfXY & | Sub
| ) |

Standard_EXPORT const gp_XY& TColgp_SequenceOfXY::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- TColgp_SequenceOfXY.hxx